Novell is now a part of Micro Focus

Security update for Gaim

Knowledgebase

(Last modified: 03SEP2004)


solutions Security update for Gaim SuSE Linux Maintenance Web (408b5a45aa6517c757ff2a3442dde745)

Applies to

Product(s): SuSE Linux Desktop 1.0

Package: gaim
Release: 20040903
Obsoletes: none

Indications

All users of gaim should update.

Contraindications

None.

Problem description

This security update fixes three security issues which are registered as:
CAN-2004-0754 An integer overflow in the groupware message handler exists in Gaim.
CAN-2004-0784 A shell escape vulnerability in the handling of smiley theme tarball filenames could lead to arbitrary command execution.
CAN-2004-0785 Buffer overflows in Gaim could lead to a denial of service or arbitrary code execution.
Additionally a buffer overflow in the parse url code of gaim is fixed. This bug let to remote system compromise with the privileges of the user running Gaim.

Solution

Please install the updates provided at the location noted below.

Installation notes

This update is provided as an RPM package that can easily be installed onto a running system by using this command:
rpm -Fvh gaim.rpm

links to download packages

Download Source Packages

Download the source code of the patches for maintained products.


Disclaimer

The Origin of this information may be internal or external to Novell. Novell makes all reasonable efforts to verify this information. However, the information provided in this document is for your information only. Novell makes no explicit or implied claims to the validity of this information.

Any trademarks referenced in this document are the property of their respective owners. Consult your product manuals for complete trademark information.

© Micro Focus